<?php

namespace ExPaypalIncomeExpressCheckout;

class Product {

    
    public static function getProductListByPrice($price) {
        $products = [];
        
        while (true) {
            $product = self::getProductByPrice($price);

            if (!$product)                break;
            
            $productId = $product->product_id;
            $maxPrice  = $product->max_price;
            
            $products[] = intval($productId);
            
            if (round($maxPrice, 2) >= round($price, 2))                break;
            
            $price -= $maxPrice;
            
        }
        
        return $products;
    }

    public static function getProductByPrice($price) {
        
        $row = self::getProductByPriceDB($price, 'asc');

        if (!$row) {
            $row = self::getProductByPriceDB($price, 'desc');
        }

        return $row;
    }
    
    public static function getProductByPriceDB($price, $order = 'asc') {
        global $wpdb;
        
        $price = floatval($price);
        
        $table_name = $wpdb->prefix . 'wc_product_meta_lookup';
        $table_post_name = $wpdb->prefix . 'postmeta';
        $table_posts = $wpdb->prefix . 'posts';
        $row = $wpdb->get_row("
            SELECT {$table_name}.* FROM {$table_name}
            INNER JOIN {$table_posts} ON {$table_posts}.id={$table_name}.product_id
            INNER JOIN {$table_post_name} ON {$table_post_name}.post_id={$table_name}.product_id
            WHERE 
                {$table_posts}.post_status='publish' and 
                round(max_price, 2) " . ($order == 'asc' ? '>=' : '<=') . " round({$price}, 2) 
            ORDER BY max_price {$order} 
            LIMIT 1
        ");
            
        return $row;
    }
    
}
